FEATHERS(1)

NAME
feathers - a simple source-level debugger for CHICKEN Scheme

SYNOPSIS
feathers [OPTION ...] [PROGRAM ARGUMENTS ...]

DESCRIPTION
feathers runs a program compiled with CHICKEN Scheme and allows basic source-level debugging like setting breakpoints, single-stepping and inspection of procedure arguments and global variables. The Scheme code must be compiled with debug-level 3 for debugging to be possible. Communication with the debugger takes place by exchanging messages over a TCP socket, the address and port being given by the environment variable CHICKEN_DEBUGGER which holds a connection address of the form <ADDRESS>:<PORT>

OPTIONS

-help
    Shows a list of supported command-line options.

-n  Do not load the default startup file .feathers

-port PORT
    Select a different TCP port than the default (9999)

-dir DIRECTORY
    Add DIRECTORY to the list of searched paths for locating source files

ENVIRONMENT VARIABLES

CHICKEN_DEBUGGER
    Should hold a TCP server address and port where the debugger is listening. This variable is set by the debugger when a program is run from it, and defaults to localhost:9999

DOCUMENTATION
More information can be found in the CHICKEN User's Manual

BUGS
Submit bug reports by e-mail to chicken-janitors@nongnu.org , preferrably using the chicken-bug tool.

AUTHORS
The CHICKEN Team

SEE ALSO
chicken-uninstall(1) chicken-status(1) chicken(1) csc(1) chicken-bug(1)